package ar.com.supervielle.wsdl.servicios.integracion.cliente_v1;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:33:02.872-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebServiceClient(name = "Cliente", 
                  wsdlLocation = "http://dasoa-01:9800/wsdl/servicios/integracion/cliente-v1?wsdl",
                  targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1") 
public class Cliente extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1", "Cliente");
    public final static QName ClienteSvc = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1", "ClienteSvc");
    public final static QName ClienteSvcV1 = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/cliente-v1", "ClienteSvc_v1");
    static {
        URL url = null;
        try {
            url = new URL("http://dasoa-01:9800/wsdl/servicios/integracion/cliente-v1?wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(Cliente.class.getName())
                .log(java.util.logging.Level.INFO, 
                     "Can not initialize the default wsdl from {0}", "http://dasoa-01:9800/wsdl/servicios/integracion/cliente-v1?wsdl");
        }
        WSDL_LOCATION = url;
    }

    public Cliente(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public Cliente(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public Cliente() {
        super(WSDL_LOCATION, SERVICE);
    }
    
    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public Cliente(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public Cliente(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public Cliente(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }    

    /**
     *
     * @return
     *     returns ClientePortTypeV1
     */
    @WebEndpoint(name = "ClienteSvc")
    public ClientePortTypeV1 getClienteSvc() {
        return super.getPort(ClienteSvc, ClientePortTypeV1.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns ClientePortTypeV1
     */
    @WebEndpoint(name = "ClienteSvc")
    public ClientePortTypeV1 getClienteSvc(WebServiceFeature... features) {
        return super.getPort(ClienteSvc, ClientePortTypeV1.class, features);
    }
    /**
     *
     * @return
     *     returns ClientePortTypeV11
     */
    @WebEndpoint(name = "ClienteSvc_v1")
    public ClientePortTypeV11 getClienteSvcV1() {
        return super.getPort(ClienteSvcV1, ClientePortTypeV11.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns ClientePortTypeV11
     */
    @WebEndpoint(name = "ClienteSvc_v1")
    public ClientePortTypeV11 getClienteSvcV1(WebServiceFeature... features) {
        return super.getPort(ClienteSvcV1, ClientePortTypeV11.class, features);
    }

}
